using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace WindowsApplication9
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'nwindDataSet.Customers' table. You can move, or remove it, as needed.
            this.customersTableAdapter.Fill(this.nwindDataSet.Customers);

            GridViewSummaryItem si= new GridViewSummaryItem("City", "Count: {0}", GridAggregateFunction.Count);           
            GridViewSummaryRowItem sr = new GridViewSummaryRowItem();
            sr.Add(si);
            
            this.radGridView1.MasterGridViewTemplate.SummaryRowsBottom.Add(sr);

            this.radGridView1.Rows.Add(1,1);

        }

        void radGridView2_MouseDown(object sender, MouseEventArgs e)
        {
            radGridView2.DoDragDrop("some data", DragDropEffects.Copy);
        }

        private void radGridView1_DragDrop(object sender, DragEventArgs e)
        {
            throw new Exception();
        }

        private void radGridView1_DragOver(object sender, DragEventArgs e)
        {
            e.Effect = DragDropEffects.Copy;
        } 
       
    }
}